import CthulhuEternalItemSheet from "./base-item-sheet.mjs"

export default class CthulhuEternalGearSheet extends CthulhuEternalItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["gear"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["gear-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-cthulhu-eternal/templates/gear.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return context
  }
}
